@import "assets/scss/variables";
@import "@angular/material/prebuilt-themes/deeppurple-amber.css";
@import "~@angular/material/theming";
@import "~bootstrap-4-grid/css/grid.min.css";

@include mat-core();

// LIGHT
$light-primary: mat-palette($custom-palette);
$light-accent: mat-palette($mat-yellow, A200, A100, A400);
$light-warn: mat-palette($mat-red);
$light-theme: mat-light-theme($light-primary, $light-accent, $light-warn);

// DARK
$dark-primary: mat-palette($custom-palette);
$dark-accent: mat-palette($mat-amber, A200, A100, A400);
$dark-warn: mat-palette($mat-red);
$dark-theme: mat-dark-theme($dark-primary, $dark-accent, $dark-warn);

.light-theme {
    @include angular-material-theme($light-theme);
    background-color: map-get(map-get($light-theme, background), background);
    color: map-get(map-get($light-theme, foreground), text);
}

.dark-theme {
    @include angular-material-theme($dark-theme);
    background-color: map-get(map-get($dark-theme, background), background);
    color: map-get(map-get($dark-theme, foreground), text);
}

html,
body {
    height: 100%;
}
body {
    margin: 0;
    font-family: Roboto, "Helvetica Neue", sans-serif;
    font-size: 16px;
}

// Configuração de inputs
.mat-form-field-appearance-outline {
    width: 100%;

    .mat-select-arrow-wrapper {
        transform: none !important;
    }

    .mat-form-field-wrapper {
        margin: 0;
        height: auto;
        padding-bottom: 0;

        .mat-form-field-infix {
            border-top-width: 0.813em !important;
            padding-top: 0.375rem !important;
            padding-bottom: 0.4375rem !important;
            display: inline-flex;
            flex: 1 1;

            .mat-input-element {
                transform: translateY(-0.125em);
            }

            mat-select {
                transform: translateY(-0.125em);
            }
        }

        .mat-form-field-flex {
            display: inline-flex;
            align-items: center;

            .mat-form-field-suffix .mat-icon {
                font-size: 1.5rem;
                height: 1.5rem;
                width: 1.5rem;
                line-height: 1.5rem;
            }
        }

        .mat-form-field-suffix {
            top: 0.1875em;
        }

        mat-datepicker-toggle button {
            left: 0.5em !important;
        }
    }

    .mat-form-field-label {
        top: 1.3em;
    }

    &.mat-form-field-should-float {
        .mat-form-field-label {
            top: 1.82em;
        }
    }
}
